/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.AlertaCtrl;
import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.exception.BusinessException;

import java.math.BigDecimal;
import java.util.List;

/**
 * 
 * @author Administrador
 */
public interface AlertaCtrlService {

	public List<AlertaCtrl> obtenerTodos();

	public AlertaCtrl obtenerID(Integer id);

	public AlertaCtrl suscribirActualizar(AlertaCtrl entidad) throws BusinessException;

	public void borrar(AlertaCtrl entidad);

	public List<AlertaCtrl> buscar(Parada origem, Parada destino, Ruta ruta, ClaseServicio claseServicio, Integer tiempoAlta, Integer tiempoBaja, BigDecimal percAlta,
			BigDecimal percBaja);

	public List<AlertaCtrl> buscarCorrida(Corrida corrida);
}
